VkDisplayPlaneCapabilitiesKHR Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkDisplayPlaneCapabilitiesKHR:
[legend]

## Data Fields

VkDisplayPlaneAlphaFlagsKHR | supportedAlpha
VkOffset2D | minSrcPosition
VkOffset2D | maxSrcPosition
VkExtent2D | minSrcExtent
VkExtent2D | maxSrcExtent
VkOffset2D | minDstPosition
VkOffset2D | maxDstPosition
VkExtent2D | minDstExtent
VkExtent2D | maxDstExtent

## Detailed Description

Definition at line 4994 of file vulkan_core.h.

## Field Documentation

## maxDstExtent

VkExtent2D VkDisplayPlaneCapabilitiesKHR::maxDstExtent

Definition at line 5003 of file vulkan_core.h.

## maxDstPosition

VkOffset2D VkDisplayPlaneCapabilitiesKHR::maxDstPosition

Definition at line 5001 of file vulkan_core.h.

## maxSrcExtent

VkExtent2D VkDisplayPlaneCapabilitiesKHR::maxSrcExtent

Definition at line 4999 of file vulkan_core.h.

## maxSrcPosition

VkOffset2D VkDisplayPlaneCapabilitiesKHR::maxSrcPosition

Definition at line 4997 of file vulkan_core.h.

## minDstExtent

VkExtent2D VkDisplayPlaneCapabilitiesKHR::minDstExtent

Definition at line 5002 of file vulkan_core.h.

## minDstPosition

VkOffset2D VkDisplayPlaneCapabilitiesKHR::minDstPosition

Definition at line 5000 of file vulkan_core.h.

## minSrcExtent

VkExtent2D VkDisplayPlaneCapabilitiesKHR::minSrcExtent

Definition at line 4998 of file vulkan_core.h.

## minSrcPosition

VkOffset2D VkDisplayPlaneCapabilitiesKHR::minSrcPosition

Definition at line 4996 of file vulkan_core.h.

## supportedAlpha

VkDisplayPlaneAlphaFlagsKHR VkDisplayPlaneCapabilitiesKHR::supportedAlpha

Definition at line 4995 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h